> This page is for Itential Platform On-Prem, version 6 (default).
> For other versions, use one of these documentation indexes:
> - 6 (default): https://docs-test.itntl.com/itential-platform/6/llms.txt
> - 2023.2: https://docs-test.itntl.com/itential-platform/2023-2/llms.txt

> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs-test.itntl.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs-test.itntl.com/_mcp/server.

# Calculate workflow schemas

POST https://example.itential.io/workflow_builder/workflows/schemas
Content-Type: application/json

calculate incoming/outgoing schemas for the workflow.

Reference: https://docs-test.itntl.com/itential-platform/6/api-reference/workflow-builder/get-schemas

## Authentication

- `Authorization` header (basic auth, required) — Basic authentication of the form `Basic <base64(username:password)>`.

## Request

### Body (application/json)

This endpoint expects an object.

- `workflow` (workflow_builder_workflowDocument, optional) — Third generation workflow document as it exists in the database

## Response

### 200

Input/Output transformation schemas for the workflow

- `inputSchema` (WorkflowBuilderWorkflowsSchemasPostResponsesContentApplicationJsonSchemaInputSchema, optional)
- `outputSchema` (WorkflowBuilderWorkflowsSchemasPostResponsesContentApplicationJsonSchemaOutputSchema, optional)

## Errors

### 500 Internal Server Error

Error response from API

- `any`

## Types

### workflow_builder_workflowDocument

Third generation workflow document as it exists in the database

- `name` (string, required)
- `type` (string, required, default: automation)
- `tasks` (WorkflowBuilderWorkflowDocumentTasks, required)
- `transitions` (WorkflowBuilderWorkflowDocumentTransitions, required)
- `groups` (list of string, required)
- `scenarios` (list of WorkflowBuilderWorkflowDocumentScenariosItems, optional)
- `_id` (string, optional)
- `uuid` (string, optional)
- `description` (string, optional, nullable)
- `namespace` (WorkflowBuilderWorkflowDocumentNamespace, optional, nullable)
- `preAutomationTime` (integer, optional) — Time (milliseconds) automation would have taken someone to complete without using IAP.
- `sla` (integer, optional)
- `errorHandler` (WorkflowBuilderWorkflowDocumentErrorHandler, optional, nullable) — Deprecated gen2-specific feature
- `font_size` (integer, optional, default: 12) — Deprecated, unused, gen1-specific feature
- `created` (string, optional)
- `created_by` (WorkflowBuilderWorkflowDocumentCreatedBy, optional)
- `createdVersion` (string, optional)
- `last_updated` (string, optional)
- `last_updated_by` (WorkflowBuilderWorkflowDocumentLastUpdatedBy, optional)
- `lastUpdatedVersion` (string, optional) — This value represents the semantic version of the application that last modified it. For workflows with canvasVersion = 1, this field will refer to the version of Workflow Builder. For workflows with canvasVersion > 1, this field will refer to the version of Studio.
- `tags` (list of string, optional)
- `canvasVersion` (double, optional)
- `encodingVersion` (enum, optional)
  - Allowed values: `1`
- `inputSchema` (WorkflowBuilderWorkflowDocumentInputSchema, optional)
- `outputSchema` (WorkflowBuilderWorkflowDocumentOutputSchema, optional)
- `outputData` (map from string to WorkflowBuilderWorkflowDocumentOutputData, optional) — Deprecated gen2-specific feature
- `decorators` (list of WorkflowBuilderWorkflowDocumentDecoratorsItems, optional)
- `migrationVersion` (integer, optional)

### WorkflowBuilderWorkflowsSchemasPostResponsesContentApplicationJsonSchemaInputSchema

### WorkflowBuilderWorkflowsSchemasPostResponsesContentApplicationJsonSchemaOutputSchema

### WorkflowBuilderWorkflowDocumentTasks

- `workflow_start` (WorkflowBuilderWorkflowDocumentTasksWorkflowStart, required)
- `workflow_end` (WorkflowBuilderWorkflowDocumentTasksWorkflowEnd, required)
- `error_handler` (WorkflowBuilderWorkflowDocumentTasksErrorHandler, optional) — Deprecated gen2-specific feature

### WorkflowBuilderWorkflowDocumentTransitions

- `workflow_start` (WorkflowBuilderWorkflowDocumentTransitionsWorkflowStart, required)
- `workflow_end` (WorkflowBuilderWorkflowDocumentTransitionsWorkflowEnd, required)
- `error_handler` (WorkflowBuilderWorkflowDocumentTransitionsErrorHandler, optional)

### WorkflowBuilderWorkflowDocumentScenariosItems

- `name` (string, required)
- `input` (WorkflowBuilderWorkflowDocumentScenariosItemsInput, required)
- `description` (string, optional)
- `taskMocks` (WorkflowBuilderWorkflowDocumentScenariosItemsTaskMocks, optional)
- `last_updated` (string, optional)
- `last_updated_by` (WorkflowBuilderWorkflowDocumentScenariosItemsLastUpdatedBy, optional)

### WorkflowBuilderWorkflowDocumentNamespace

- `type` (any, optional)
- `_id` (string, optional)
- `name` (string, optional)
- `accessControl` (WorkflowBuilderWorkflowDocumentNamespaceAccessControl, optional)

### WorkflowBuilderWorkflowDocumentErrorHandler

Deprecated gen2-specific feature

- `type` (string, optional)
- `name` (string, optional)

### WorkflowBuilderWorkflowDocumentCreatedBy

### WorkflowBuilderWorkflowDocumentLastUpdatedBy

### WorkflowBuilderWorkflowDocumentInputSchema

### WorkflowBuilderWorkflowDocumentOutputSchema

### WorkflowBuilderWorkflowDocumentOutputData

- `taskId` (string, optional)
- `taskPointer` (string, optional)

### WorkflowBuilderWorkflowDocumentDecoratorsItems

- `type` (enum, optional)
  - Allowed values: `encryption`
- `pointer` (string, optional)

### WorkflowBuilderWorkflowDocumentTasksWorkflowStart

- `name` (string, optional)
- `summary` (string, optional)
- `groups` (list of string, optional)
- `nodeLocation` (WorkflowBuilderWorkflowDocumentTasksWorkflowStartNodeLocation, optional) — Stores the coordinates used by canvasVersion: 3 workflows
- `x` (double, optional)
- `y` (double, optional)

### WorkflowBuilderWorkflowDocumentTasksWorkflowEnd

- `name` (string, optional)
- `summary` (string, optional)
- `groups` (list of string, optional)
- `nodeLocation` (WorkflowBuilderWorkflowDocumentTasksWorkflowEndNodeLocation, optional) — Stores the coordinates used by canvasVersion: 3 workflows
- `x` (double, optional)
- `y` (double, optional)

### WorkflowBuilderWorkflowDocumentTasksErrorHandler

Deprecated gen2-specific feature

- `name` ("childJob", required)
- `summary` (string, required)
- `description` (string, required)
- `app` (string, required)
- `variables` (WorkflowBuilderWorkflowDocumentTasksErrorHandlerVariables, required)
- `groups` (list of string, required)
- `type` ("operation", required)
- `nodeLocation` (WorkflowBuilderWorkflowDocumentTasksErrorHandlerNodeLocation, optional) — Stores the coordinates used by canvasVersion: 3 workflows
- `x` (double, optional)
- `y` (double, optional)
- `deprecated` (boolean, optional)
- `scheduled` (boolean, optional)
- `retrySettings` (WorkflowBuilderWorkflowDocumentTasksErrorHandlerRetrySettings, optional, nullable) — Retry settings for a task.

### WorkflowBuilderWorkflowDocumentTransitionsWorkflowStart

### WorkflowBuilderWorkflowDocumentTransitionsWorkflowEnd

### WorkflowBuilderWorkflowDocumentTransitionsErrorHandler

### WorkflowBuilderWorkflowDocumentScenariosItemsInput

### WorkflowBuilderWorkflowDocumentScenariosItemsTaskMocks

### WorkflowBuilderWorkflowDocumentScenariosItemsLastUpdatedBy

### WorkflowBuilderWorkflowDocumentNamespaceAccessControl

- `read` (list of string, optional)
- `execute` (list of string, optional)
- `write` (list of string, optional)
- `manage` (list of string, optional)

### WorkflowBuilderWorkflowDocumentCreatedBy0

- `username` (string, required)
- `provenance` (string, required)

### WorkflowBuilderWorkflowDocumentLastUpdatedBy0

- `username` (string, required)
- `provenance` (string, required)

### WorkflowBuilderWorkflowDocumentTasksWorkflowStartNodeLocation

Stores the coordinates used by canvasVersion: 3 workflows

- `x` (double, required)
- `y` (double, required)

### WorkflowBuilderWorkflowDocumentTasksWorkflowEndNodeLocation

Stores the coordinates used by canvasVersion: 3 workflows

- `x` (double, required)
- `y` (double, required)

### WorkflowBuilderWorkflowDocumentTasksErrorHandlerVariables

- `incoming` (WorkflowBuilderWorkflowDocumentTasksErrorHandlerVariablesIncoming, required)
- `outgoing` (WorkflowBuilderWorkflowDocumentTasksErrorHandlerVariablesOutgoing, required)
- `error` (string, optional)
- `decorators` (list of WorkflowBuilderWorkflowDocumentTasksErrorHandlerVariablesDecoratorsItems, optional)

### WorkflowBuilderWorkflowDocumentTasksErrorHandlerNodeLocation

Stores the coordinates used by canvasVersion: 3 workflows

- `x` (double, required)
- `y` (double, required)

### WorkflowBuilderWorkflowDocumentTasksErrorHandlerRetrySettings

Retry settings for a task.

- `state` (list of enum, required) — Finish states the task will retry on. The task will retry on any of the included states.
  - Allowed values: `success`, `error`, `failure`
- `autoRetry` (boolean, required) — Whether the task is set to retry automatically or manually.
- `limit` (integer, required) — Limit of retries on a task before it will take normal transitions and stop retrying.
- `delay` (integer, required) — Delay between each retry in milliseconds.
- `count` (integer, optional) — Current retry count used for workflow engine job processing

### WorkflowBuilderWorkflowDocumentScenariosItemsLastUpdatedBy0

- `username` (string, required)
- `provenance` (string, required)

### WorkflowBuilderWorkflowDocumentTasksErrorHandlerVariablesIncoming

### WorkflowBuilderWorkflowDocumentTasksErrorHandlerVariablesOutgoing

### WorkflowBuilderWorkflowDocumentTasksErrorHandlerVariablesDecoratorsItems

- `type` (enum, optional)
  - Allowed values: `encryption`
- `pointer` (string, optional)

## Examples

**Request**

```json
{}
```

**Response**

```json
{
  "inputSchema": {},
  "outputSchema": {}
}
```

**SDK Code**

```python
import requests

url = "https://example.itential.io/workflow_builder/workflows/schemas"

payload = {}
headers = {"Content-Type": "application/json"}

response = requests.post(url, json=payload, headers=headers)

print(response.json())
```

```javascript
const url = 'https://example.itential.io/workflow_builder/workflows/schemas';
const options = {method: 'POST', headers: {'Content-Type': 'application/json'}, body: '{}'};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"strings"
	"net/http"
	"io"
)

func main() {

	url := "https://example.itential.io/workflow_builder/workflows/schemas"

	payload := strings.NewReader("{}")

	req, _ := http.NewRequest("POST", url, payload)

	req.Header.Add("Content-Type", "application/json")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://example.itential.io/workflow_builder/workflows/schemas")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Post.new(url)
request["Content-Type"] = 'application/json'
request.body = "{}"

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.post("https://example.itential.io/workflow_builder/workflows/schemas")
  .header("Content-Type", "application/json")
  .body("{}")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('POST', 'https://example.itential.io/workflow_builder/workflows/schemas', [
  'body' => '{}',
  'headers' => [
    'Content-Type' => 'application/json',
  ],
]);

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://example.itential.io/workflow_builder/workflows/schemas");
var request = new RestRequest(Method.POST);
request.AddHeader("Content-Type", "application/json");
request.AddParameter("application/json", "{}", ParameterType.RequestBody);
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = ["Content-Type": "application/json"]
let parameters = [] as [String : Any]

let postData = JSONSerialization.data(withJSONObject: parameters, options: [])

let request = NSMutableURLRequest(url: NSURL(string: "https://example.itential.io/workflow_builder/workflows/schemas")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "POST"
request.allHTTPHeaderFields = headers
request.httpBody = postData as Data

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```